/**
 * Simulation of memory management algorithms
 *
 * Ron Mak
 * Department of Computer Engineering
 * San Jose State University
 */
#ifndef NEXTFIT_H_
#define NEXTFIT_H_

#include "AllocationAlgorithm.h"

class NextFit: public AllocationAlgorithm
{
public:
    NextFit(string name);
    virtual ~NextFit() {}

    virtual bool find_hole(const string id, const int size);
};

#endif /* NEXTFIT_H_ */
